﻿.index-works-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
#index-works-scroll{
    position: absolute;
    top: -97px;
}
.index-works-all-box{
    width: 1840px;
    max-width: 100%;
    display: block;
    position: relative;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    padding-bottom: 120px;
}
.index-works-title-box{
    display: block;
    box-sizing: border-box;
    text-align: center;
    box-sizing: border-box;
    padding: 70px 0;
}
.index-works-title-box h2{
    font-size: 28px;
    color: #1b1b1b;
    letter-spacing: 0.4em;
    line-height: 30px;
    font-family: 'Noto Sans TC';
    box-sizing: border-box;
    padding-left: 0.4em;
}
.index-works-title-box h4{
    font-size: 16px;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 30px;
    font-family: 'roboto';
    font-weight: 300;
    margin-top: 5px;
}
.index-works-info{
    width: 560px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    position: relative;
    margin-right: 80px;
    padding-bottom: 60px;
}
.index-works-info:nth-child(3n){
    margin-right: 0;
}
.index-works-info-img{
    width: 100%;
    height: 380px;
    display: block;
    overflow: hidden;
}
.index-works-info-text-box{
    width: 510px;
    max-width: 100%;
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: #fff;
    box-sizing: border-box;
    padding: 15px;
    padding-bottom: 24px;
    transition: all .3s linear;
}
.index-works-info-class{
    font-size: 14px;
    letter-spacing: 0.1em;
    color: #666;
}
.index-works-info-text{
    font-size: 18px;
    letter-spacing: 0.1em;
    color: #000;
    margin-top: 5px;
    font-family: 'Noto Sans TC';
}
.index-works-info-arrow{
    width: 60px;
    height: 1px;
    background-color: #000;
    display: block;
    position: relative;
    margin-top: 25px;
}
.index-works-info-arrow span{
    border-bottom: 4px solid #000;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
    position: absolute;
    right: 0;
    bottom: 0;
}
.index-works-more-box{
    width: 100%;
    margin-top: 150px;
    text-align: center;
}
.index-works-more{
    width: 240px;
    display: inline-block;
    position: relative;
    border: 1px solid #1b1b1b;
    transition: all .3s linear;
}
.index-works-more p{
    font-size: 18px;
    letter-spacing: 0.2em;
    color: #000;
    font-family: 'roboto';
    font-weight: 300;
    line-height: 58px;
    padding-left: 0.2em;
    transition: all .3s linear;
}
.index-works-more::before{
    content: '';
    width: 5px;
    height: 1px;
    background-color: #fff;
    position: absolute;
    right: 15px;
    top: -1px;
    transition: all .3s linear;
}
.index-works-more::after{
    content: '';
    width: 1px;
    height: 5px;
    background-color: #fff;
    position: absolute;
    right: -1px;
    top: 20px;
    transition: all .3s linear;
}





@media only screen and (max-width: 1840px){
    .index-works-all-box{
        width: 95%;
    }
    .index-works-info{
        width: calc((100% - 160px) / 3);
    }
    .index-works-info-img{
        height: calc( (380 / 560) * ((95vw - 160px) / 3) );
    }
    .index-works-info-text-box{
        width: 80%;
    }
}
@media only screen and (max-width: 1200px){
    .index-works-info{
        width: calc((100% - 80px) / 3);
        margin-right: 40px;
    }
    .index-works-info-img{
        height: calc( (380 / 560) * ((95vw - 80px) / 3) );
    }
    .index-works-more-box{
        margin-top: 100px;
    }
}
@media only screen and (max-width: 1000px){
    .index-works-all-box{
        padding-bottom: 50px;
    }
    .index-works-info-text-box{
        width: 100%;
        display: block;
        position: static;
        padding: 10px 0;
    }
    .index-works-info{
        width: calc((100% - 40px) / 3);
        margin-right: 20px;
        padding-bottom: 0;
    }
    .index-works-info-img{
        height: calc( (380 / 560) * ((95vw - 40px) / 3) );
    }
    .index-works-title-box{
        padding: 40px 0;
    }
    .index-works-more-box {
        margin-top: 50px;
    }
}
@media only screen and (max-width: 750px){
    .index-works-info{
        width: 100%;  
        margin-right: 0;
        margin-bottom: 20px;
    }
    .index-works-info-img{
        height: calc( (380 / 560) * 95vw );
    }
    .index-works-title-box h2{
        font-size: 22px;
        letter-spacing: 0.2em;
        padding-left: 0.2em;
    }
}
@media only screen and (max-width: 550px){
    .index-works-title-box {
        padding: 20px 0;
    }
    .index-works-title-box h2{
        font-size: 18px;
        letter-spacing: 0.1em;
        padding-left: 0.1em;
        line-height: 24px;
    }
    .index-works-title-box h4{
        font-size: 12px;
        line-height: 20px;
        margin-top: 0;
    }
    .index-works-info-text-box{
        padding: 5px 0;
    }
    .index-works-info-class{
        font-size: 12px;
    }
    .index-works-info-text{
        font-size: 16px;
        margin-top: 0;
    }
    .index-works-info-arrow{
        margin-top: 10px;
    }
}



.index-works-info:hover .index-works-info-img span{
    transform: scale(1.1);
}
.index-works-more:hover{
    border-color: #28a2af;
}
.index-works-more:hover p{
    color: #28a2af;
}
.index-works-more:hover::before{
    right: 0;
    opacity: 0;
}
.index-works-more:hover::after{
    top: 0;
    opacity: 0;
}

/*animation*/
/*<-------------動畫------------->*/
@media only screen and (min-width: 1001px){

    .index-works-info:hover .index-works-info-text-box{
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    }
    .index-works-title-box h2,
    .index-works-title-box h4,
    .index-works-info,
    .index-works-more{
        opacity: 0;
    }
    .index-works-title-box.anima h2{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .index-works-title-box.anima h4{
        animation: fade 1s ease .3s 1 both;
    }
    .index-works-info-box.anima .index-works-info:nth-child(1){
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .index-works-info-box.anima .index-works-info:nth-child(2){
        animation: fade 1s ease 0s 1 both;
    }
    .index-works-info-box.anima .index-works-info:nth-child(3){
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .index-works-more.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}